Decline contractor application
curl --request POST \
--url https://api.sortx.co.uk/maintenance-pro/contractor-applications/{id}/decline \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"requestId": "<string>",
"expectedRevision": 123,
"reason": "<string>"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({requestId: '<string>', expectedRevision: 123, reason: '<string>'})
};
fetch('https://api.sortx.co.uk/maintenance-pro/contractor-applications/{id}/decline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/maintenance-pro/contractor-applications/{id}/decline"
payload = {
"requestId": "<string>",
"expectedRevision": 123,
"reason": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"application": {
"id": "<string>",
"reference": "<string>",
"status": "submitted",
"contactName": "<string>",
"businessName": "<string>",
"email": "<string>",
"mobile": "<string>",
"trades": [
"<string>"
],
"coverageAreas": [
"<string>"
],
"emergencyCallouts": true,
"yearsTrading": 123,
"declared": {
"publicLiability": {
"insurer": "<string>",
"coverMinor": 123,
"expiresOn": "<string>"
},
"gasSafe": {
"number": "<string>",
"expiresOn": "<string>"
},
"electrical": {
"scheme": "<string>",
"number": "<string>"
},
"other": "<string>"
},
"message": "<string>",
"consentAt": "<string>",
"contactId": "<string>",
"credentialsRecorded": [
"<string>"
],
"decidedAt": "<string>",
"decidedByName": "<string>",
"declineReason": "<string>",
"erased": true,
"revision": 123,
"createdAt": "<string>"
},
"invitation": {
"email": "<string>",
"status": "<string>"
}
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}maintenance-pro
Decline contractor application
Decline an application with an internal reason (nothing is sent to the applicant)
POST
/
maintenance-pro
/
contractor-applications
/
{id}
/
decline
Decline contractor application
curl --request POST \
--url https://api.sortx.co.uk/maintenance-pro/contractor-applications/{id}/decline \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"requestId": "<string>",
"expectedRevision": 123,
"reason": "<string>"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({requestId: '<string>', expectedRevision: 123, reason: '<string>'})
};
fetch('https://api.sortx.co.uk/maintenance-pro/contractor-applications/{id}/decline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/maintenance-pro/contractor-applications/{id}/decline"
payload = {
"requestId": "<string>",
"expectedRevision": 123,
"reason": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"application": {
"id": "<string>",
"reference": "<string>",
"status": "submitted",
"contactName": "<string>",
"businessName": "<string>",
"email": "<string>",
"mobile": "<string>",
"trades": [
"<string>"
],
"coverageAreas": [
"<string>"
],
"emergencyCallouts": true,
"yearsTrading": 123,
"declared": {
"publicLiability": {
"insurer": "<string>",
"coverMinor": 123,
"expiresOn": "<string>"
},
"gasSafe": {
"number": "<string>",
"expiresOn": "<string>"
},
"electrical": {
"scheme": "<string>",
"number": "<string>"
},
"other": "<string>"
},
"message": "<string>",
"consentAt": "<string>",
"contactId": "<string>",
"credentialsRecorded": [
"<string>"
],
"decidedAt": "<string>",
"decidedByName": "<string>",
"declineReason": "<string>",
"erased": true,
"revision": 123,
"createdAt": "<string>"
},
"invitation": {
"email": "<string>",
"status": "<string>"
}
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Path Parameters
Body
application/json